%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Name:           python-zope-proxy
Version:        3.5.0
Release:        2%{?dist}
Summary:        Generic Transparent Proxies
Group:          Development/Languages
License:        ZPLv2.1
URL:            http://pypi.python.org/pypi/zope.proxy/
Source0:        http://pypi.python.org/packages/source/z/zope.proxy/zope.proxy-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRequires:  python-zope-testing
Requires:       python-zope-filesystem


%description
Proxies are special objects which serve as mostly-transparent wrappers
around another object, intervening in the apparent behavior of the
wrapped object only when necessary to apply the policy (e.g., access
checking, location brokering, etc.) for which the proxy is responsible.


%package devel
Summary:        Development files for %{name}
Group:          Development/Languages
Requires:       %{name} = %{version}-%{release}


%description devel
Development headers and libraries for %{name}.


%prep
%setup -q -n zope.proxy-%{version}
sed -i -e 's|\r||' CHANGES.txt
sed -i -e 's|\r||' README.txt


%build
CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build


%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT


%check
%{__python} setup.py test

 
%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc CHANGES.txt README.txt
%{python_sitearch}/zope.proxy*
%{python_sitearch}/zope/*
%exclude %{python_sitearch}/zope/proxy/proxy.h
%exclude %{python_sitearch}/zope/proxy/_zope_proxy_proxy.c


%files devel
%defattr(-,root,root,-)
%{_includedir}/python?.?/zope.proxy
%{python_sitearch}/zope/proxy/proxy.h
%{python_sitearch}/zope/proxy/_zope_proxy_proxy.c



%changelog
* Wed Dec 30 2009 Conrad Meyer <konrad@tylerc.org> - 3.5.0-2
- Move development files to devel subpackage.
- Use global instead of define.

* Sun Jul 5 2009 Conrad Meyer <konrad@tylerc.org> - 3.5.0-1
- Bump to latest version.
- Enable tests as zope.testing is in devel.
- Add missing BR on python-setuptools.

* Sun Dec 14 2008 Conrad Meyer <konrad@tylerc.org> - 3.4.2-1
- Initial package.
